> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dataerai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post apicollections



## OpenAPI

````yaml /api-reference/openapi.yaml post /api/collections/
openapi: 3.0.3
info:
  title: Console API
  version: 1.0.0
  description: Central control plane API for the Dataerai platform.
servers:
  - url: https://{server}
    description: Your Dataerai deployment (the API is served under /api)
    variables:
      server:
        default: your-deployment.dataerai.com
        description: Host of your Dataerai deployment
security: []
paths:
  /api/collections/:
    post:
      tags:
        - api
      operationId: collections_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CollectionWrite'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/CollectionWrite'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/CollectionWrite'
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Collection'
          description: ''
      security:
        - cookieAuthCsrfExempt: []
components:
  schemas:
    CollectionWrite:
      type: object
      properties:
        title:
          type: string
          maxLength: 255
        description:
          type: string
          default: ''
        alias:
          type: string
          default: ''
          maxLength: 255
        tags:
          type: array
          items:
            type: string
            maxLength: 100
        type:
          type: array
          items:
            type: string
            maxLength: 100
        parent_id:
          type: string
          format: uuid
          nullable: true
        owner_type:
          $ref: '#/components/schemas/OwnerTypeEnum'
        owner_id:
          type: string
          format: uuid
        preferred_repository_id:
          type: string
          format: uuid
          nullable: true
        license:
          type: string
    Collection:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        title:
          type: string
          maxLength: 255
        description:
          type: string
        alias:
          type: string
          maxLength: 255
        tags:
          type: array
          items:
            type: string
            maxLength: 100
        type:
          type: array
          items:
            type: string
            maxLength: 100
        parent_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        parent_ids:
          type: array
          items:
            type: string
            format: uuid
          readOnly: true
        owner_user_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        owner_project_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        is_root:
          type: boolean
          readOnly: true
        preferred_repository_id:
          type: string
          format: uuid
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        owner_user_name:
          type: string
          nullable: true
          readOnly: true
        owner_project_name:
          type: string
          nullable: true
          readOnly: true
        effective_flags:
          type: integer
          readOnly: true
        is_starred:
          type: boolean
          readOnly: true
        provenance_token:
          type: string
          nullable: true
          readOnly: true
        access_scope:
          type: string
          readOnly: true
      required:
        - access_scope
        - created_at
        - effective_flags
        - id
        - is_root
        - is_starred
        - owner_project_id
        - owner_project_name
        - owner_user_id
        - owner_user_name
        - parent_id
        - parent_ids
        - preferred_repository_id
        - title
        - updated_at
    OwnerTypeEnum:
      enum:
        - project
        - user
      type: string
      description: |-
        * `project` - project
        * `user` - user

````